Copyright (C) 1992, Ken Elliott III
        All Rights Reserved
$Id: HELPTXT.H%v 2.2 1993/11/29 15:53:08 elliott Exp $

WELCOME

Before you can start using the simulator, you must tell CrapSim about the
defaults that you will be using during the game.  Once you set these
defaults, you can not change them without restarting the game.  Fortunately,
you probably won't want to anyway.  There are several ways you can specify
defaults; choose the default set of defaults (marked "DF DEFLT" in the box
on the screen), create a new set of defaults, use a saved set of defaults,
or give a one-time set of defaults to CrapSim.  If you've created a large
number of default files, you can scroll through them by using the page
up/page down and up/down arrows on your keyboard.  The values contained in
the highlighted default file are displayed to the right of the file list.
Pressing enter or double-clicking with the mouse on a file will select the
defaults from that file for use.

To create a new defaults file, select the "<NEW>" entry; you will be
prompted for the filename and the defaults information, and after all
of this is entered, the simulator will be started using this
information.  If you choose the name of an existing file, you will be
prompted for verification before the old file is overwritten.

If you want to enter a set of defaults for this session only and not
store them in a file, then press the ESC key once you're back on the
welcome screen.  You will be prompted for the defaults, and they will
not be saved.

PAGE

The defaults you need to enter are:

- Initial Bankroll:  The initial amount of money you wish to start with.
- Minimum Table Bet:  The minimum amount that you wish to bet; must be
    at least $1.
- Maximum Table Bet:  The maximum amount that you're allowed to make on
    any one bet; this must be greater than the minimum and less than one
    million dollars.
- Maximum Free Odds:  The maximum amount of free odds you can take on
    your pass, don't pass, come, and don't come bets.  If you don't know
    about odds bets, just take the default. 
- Default Reporting Level:  The initial amount of detail at which your
    wins and losses will be reported; you can change this once you're
    in the program by using the REPORT button.
- Tutoring Default:  Set the tutoring options from the list; you can get 
    help on each option by pressing F1 when it is the "current" item.
    The settings can be changed once you're in the program by using the 
    TUTOR button.
- Bets Work on Comeout:  You can set the default behavior of your bets
    which don't usually work on the comeout so that they do or don't
    work on the comeout by default.  You can modify the behavior of a
    particular bet with the WORK button.

PAGE

- Field 12 Payoff:  You are able to set the payoff to either 2 to 1 or 3 to 1
    by default.  3 to 1 is typical of downtown Las Vegas, while 2 to 1 is more
    commonly found on the strip.  You can't set the payoff for the 2 on the
    field; it is fixed at 2 to 1.
- Commission Only on Win:  Some casinos will not collect the 5% commission on
    on buy and lay bets when you make them; rather, they will wait until the 
    bet is decided and then, if you win, you will have to pay the commission
    (if you lose you don't have pay it).  This option allows you to mimic this
    behavior.
- Commission Rounding Scheme:  In calculating the 5% commission on buy and lay
    bets, different casinos have different policies on when to round the
    commission up and when to round it down.  This default lets you specify
    when to round up (more help is available in the manual, or by pressing
    the F1 key when you are prompted for this default value).
- Bet Behavior: You can choose to leave your bets up, take them down, or have 
    them behave like they do in a real casino with this option.  See the 
    manual for a detailed explanation, or get on-line, context-sensitive help
    when prompted for these values.

COMMROUNDING

The value you enter here determines how the commission is rounded when you
make buy and lay bets.  If you aren't going to make these bets, taking the
default value is appropriate.  Commission is defined as 5% of your buy bet,
and 5% of your expected winnings on your lay bet.  This only comes out to an
even number if your bet is a multiple of $20; the rest of the time, the casino
will either round up or down, depending on the bet and what the casino's policy
is.  For example,  if your bet is $30, 5% of $30 is $1.50; most casinos will
only charge you $1.  However, if your bet is $35, 5% of $35 is $1.75, and most
casinos will make you pay $2 commission.  There are some casinos, though, that
will only make you pay $1 for this bet.  What this default lets you do is
enter the "cents" amount of the commission above which you want CrapSim to
round up.

PAGE

To figure out what value to use for this default pick the first bet amount 
that the casino you want to mimic will round the commission up at.
For example, consider the following three casinos:

     Casino A                  Casino B                   Casino C
Buy Bet   Commission      Buy Bet   Commission       Buy Bet   Commission

$0-$30       $1.00        $0-$35       $1.00        $0-$39       $1.00
$31-$50      $2.00        $36-$55      $2.00        $40-$59      $2.00
$51-$70      $3.00        $56-$75      $3.00        $60-$79      $3.00
$41-$90      $4.00        $76-$95      $4.00        $80-$99      $4.00

If you want to mimic Casino A (which the majority of the casinos in the US do),
you don't have to input anything because this is the CrapSim default.  Consider
Casino B, however.  First pick the bet at which they start rounding up; any
of the 4 listed will do.  We'll use $56 (this is where the commission changes
from $2.00 to $3.00).  5% of $56 is $2.80, so the value (the "cents") you'd 
want to enter is "80" (notice that if you'd picked, say, $36 instead of $56, 
you'd have come up with $1.80, and the cents part is still 80).  Casino C
is a special case, because if you use the above formula you come up with 0 
cents, and CrapSim will not let you put 0 in for this default.  If you want to
mimic Casino C, use a value of "99" for the default.

SPECIFICHELP

Clicking on this button will change the cursor into a question mark, and then
clicking on any other area of the screen with the question mark will display
the help page for that area.  You will be able to continue doing this until
either clicking on this button again, or pressing any key on the keyboard.

MACROS

The macro recording facility allows you to record a series of bets (except
hop bets and odds bets), and assign that series of bets to a key.  Once
assigned, you can make that series of bets again whenever you press the key.

To begin recording, click on this button, and make your bets as you normally
would.  After you have made the bets you want to record, click on this
button again (or roll the dice).  You will be prompted for a keystroke to
assign to that series of bets.  The keystroke must be a letter (a-z, A-Z) or
one of the top row of function keys F2 - F10.  However, you cannot use one
of the keys CrapSim itself uses: q, Q, r, R, o, O, and F1.

After you have done this, whenever you press the key, the bets you recorded
will be made for the same amounts.  You can only use a macro if the bet area
is empty.  If a macro attempts to make a bet that is already there on the
table, the bet will not be pressed.  You can record up to 20 bets per macro,
and the number of macros is limited only by the number of keys you can
assign macros to.

PAGE

Odds bets have their own, pre-set macro keys: 'o' and 'O'.  When you press
'o', you will be asked to type in a number from 0 to 9.  After typing in the
number, CrapSim will take that number of odds (type 0 (zero) to get 10 times
odds) on all of the bets that can have odds (pass line, don't pass line, come
bets, and don't come bets).  'O' (capital o) will automatically take the
table maximum odds on all bets that can have odds.  However, neither of
these will take odds on any bet that already has some odds.  For instance,
suppose you have a Pass bet with no odds, a Come 6 bet with single odds, and
a Come 8 bet with no odds.  If you type the 'o' key, followed by '2',
CrapSim would take double odds on the Pass bet and the Come 8 bet, but leave
the Come 6 bet alone (since it already has odds).  If you were at a 10 times
odds table and typed '0' (zero) instead of '2', CrapSim would take 10 times
odds on your Pass and Come 8 bets.

SCOREBOARD

The scoreboard keeps track of how you've done over all sessions that you've
chosen to keep track of.  Of course, you could choose to keep track of only
your winning sessions, but that would probably get pretty boring.  In any
case, the scoreboard will report the following information (in the following
order):

The total number of sessions you've played, and of those, how many you've
won and how many you've lost.

The total amount of money you've won or lost, the total amount of money
you've bet (called the bet handle), and the percentage of the amount you've
bet that the casino has held (if you've lost) or the percentage of the
amount you've bet that you've won from the casino; this is just the total
amount won or lost divided by the bet handle.

The total amount of time you've spent across all of your sessions, using
100 rolls per hour as the standard.

Your best two sessions: the one that generated your largest win (for the
"Cash" entry), and the one that generated your largest win as a percentage
of the amount you've bet (for the "Percentage" entry).  For instance, if
in one session you bet $100,000 and win $1000, that's a 1% win.  In another
session say you bet $1000 and win $100, for a 10% win.  This line would have
the $1000 as the best "Cash" session, but the 10% win as the best
"Percentage" session.

Your worst two session, using the same criteria as above, only for the worst
ones you've had.

PAGE

You have three choices, given as buttons at the bottom of the scoreboard,
for continuing the game.  "OK" merely starts up CrapSim.  "CLEAR ALL" will
clear out all of your session information; you cannot selectively clear out
certain sessions.  After clearing the session information, CrapSim starts
up. "QUIT" will quit the game and take you back to DOS.

After you are done playing CrapSim, you will be prompted as to if you want
to save that session's information.  You can also play "anonymously" by
clicking on the CANCEL button or pressing the ESC key when prompted for your
name at the program startup.

TUTORMULTIPLE
