Copyright (C) 1992-1994 Ken Elliott III
        All Rights Reserved
$Id$

TUTORMULTIPLE

This tutoring option warns you when you make a bet that won't pay off at the
correct odds.  For instance, a place bet to win on the 6 or 8 pays off at 7
to 6.  If you don't bet a multiple of six, you will not be paid off
correctly for that portion of the bet that is not divisible by 6 (for
example, if you bet $15, you will be paid at 7 to 6 for $12 of your bet, but
you will only be paid even money for the other $3 of your bet).

TUTORCOMMISH

This option gives advice on buy and lay bets where the bet amount results in
the commission being rounded up.  For example, for the default CrapSim
configuration suppose that you made a $35 Buy 4.  The commission would be
($1.75 rounded up to) $2, and if this tutoring option was active it would
advise you to make at least a $40 Buy 4 bet because it would result in no
increase in the commission.

TUTORNOBOZO

This type of warning is meant for new players who make bets with a house
p.c. of over 1.5%.  If this option is selected and such a bet is made (for
example, a big 6 bet), a message telling you that that is a bad bet will
appear.

TUTORODDS

This type of message is issued when you take less than the maximum
odds on the pass line, don't pass line, come, and don't come odds bets.
Taking the maximum odds actually increases the theoretical return on your
bet (the house percentage for a pass line bet without odds is 1.41%, while
with full double odds it's only 0.606%), so you should always take the
maximum amount of odds that is allowed.  The message also advises you what
this amount is.

BETSTANDARD

This choice will allow you to specify specific behavior for place bets to
win and the prop bets (except for hop bets), and specifies that all other
bets are automatically taken down when they are decided.  This type of
behavior mimics, for all intents and purposes, the actions in a real
casino.  There may be some redundant clicking (for example, on your line and
come bets) with this option, however.

BETDOWN

This choice specifies that all bets, regardless of whether they won or lost,
get taken down after they've been decided.

BETWINUP

This choice indicates that you want bets that win to stay up, but losing
bets should be kept down.  The winnings that resulted from a winning bet are
automatically put in your bankroll.  For instance, if you have a $6 place 6
to win bet up, and a 6 is rolled, this option specifies that $7 (winnings)
are put in your bankroll, and the $6 place 6 remains up.

BETUP

This choice specifies that all bets are to be left up or replaced whenever
there is a decision on one of them.  For instance, if you have a $6 place 6
to win and a $50 no-4 (Lay 4) bet, and a 7 is rolled, you'd win the Lay bet
and lose the place bet.  If this option is specified, *both* bets would
again be made automatically for you by CrapSim.

PLACESAME

After a place bet wins, it is made again automatically for the same amount.
The winnings are moved to your bankroll.  For instance, if you have a $6
place 6 to win bet up, and a 6 is rolled, this option specifies that $7
(winnings) are put in your bankroll, and the $6 place 6 remains up.

PLACEDOWN

After a place bet is decided, win or lose, it is left down.  For instance,
if you have a $6 place 6 to win bet up, and a 6 is rolled, this option
specifies that $7 (winnings) are put in your bankroll, and the $6 on the
place 6 is also returned to your bankroll.

PLACEPRESS1

After a place bet wins, it is pressed one "unit", where a unit is $5 for the
4, 5, 9, and 10, and $6 for the 6 and 8.  The remainder of the winnings are
returned to your bankroll.  For instance, if you have a $6 place 6 to win
bet up, and a 6 is rolled, this option specifies that a $12 place 6 bet is
made automatically by CrapSim, and that the remaining $1 of your winnings
(the bet won $7, but $6 of that is used to press the place 6 bet) are put in
your bankroll.

PLACEPRESSASK

After a place bet wins, an input window pops up asking you to input an
amount to press the bet that just won.  If you input an amount greater than
0, the bet will be pressed that amount assuming you have sufficient funds to
cover the bet.  If you type in 0 or hit the "ESC" or "Cancel" buttons, this
bet will be taken down and not re-made.  For instance, suppose you have a $6
place 6 to win bet up, and a 6 is rolled. A window will be popped up, and
say you enter $18 into it.  The place 6 bet is automatically re-made by 
CrapSim for $24 (original $6 place bet has been pressed $18).

PROPSSAME

After a prop bet wins, it is automatically re-made and the balance of the
winnings are put in the bankroll.  This is the default mode for almost all 
of the casinos today.  Note that CrapSim will not remake the "second half"
of a winning Craps-Eleven bet with this option.  For instance, suppose you
had a $10 C-E bet made, which CrapSim would break down to a $5 one-roll 11
bet and a $5 Any Craps bet.  If an 11 is the next roll, CrapSim would only
re-make the $5 one-roll 11; the $5 Any Craps bet *would not* be re-made.

PROPSPARLAY

After a prop bet wins, the winnings are automatically parlayed (that is,
added to the original bet) for the next roll.  You will probably want to
take this bet down at some point if you have this option checked.  For
example, suppose you had a $1 hard 6 bet, and the hard 6 showed.  CrapSim
would automatically make a $10 hard 6 bet (the bet pays 9:1, so all $10 go
back on the hard 6).

PROPSDOWN

After a props bet is decided, win or lose, it is left down.  For instance,
if you have a $5 "yo" (one-roll 11) up, and an 11 is rolled, this option
specifies that $75 (winnings) are put in your bankroll, and bet is not
re-made.

BETCONFIG

This button allows you to configure how bets behave by default.  Using this
button you can specify that all bets stay up, win or lose; only winning bets
stay up; all bets go down, win or lose; and all bets go down except for
place and prop bets, which are set up separately.  If you specify bet
behavior such that at least some bets remain up, after a bet has been decide
all bets that should be re-made will be re-made.  This gives you an
opportunity to pull them down if you so desire.  On-line help is available
for each of the choices once you activate this button.

DEFMAXODDS

This amount is the maximum free odds multiple for the table.  For
instance, if you want to imitate a double-odds table, enter "2".  If
you want to imitate a 10x odds table, enter "10".  You can enter up to
100 times odds if you like, although you'll never find this in "real
life".

INPUTHOPNUMS

You need to enter a two-digit number, xy, where "x" is between 1 and 6
and "y" is between 1 and 6.  Each digit represents the die value that
you are betting will come up on the next roll.  Note that the order of
these two values is not important; so, for example, 16 and 61 are the
same.  So, if you entered "15" (without the quotes), if one die shows
a 1 and the other a 5 on the next roll, you win.  Otherwise, you lose.

INPUTNAME

Entering your name will allow CrapSim to keep track of your session
information, so you can see how you are doing over time.  Even if you
do enter your name here, you'll have the option of not saving this
particular session's information at the end of the game.  However, if
you do wish to play anonymously, leave the field blank and respond
"yes" to the pop-up window that will appear.

ENDOFHELP

